Subject: RE:[nemo] draft-ng-nemo-multihoming-issues-01.txt

From: eun <[email-masked]>
Date: Tue, 24 Jun 2003 13:04:06 +0900

Hello Chan-Wah,

Thank you for your comments.
Please see inlines.

> > If we allow multiple BU with multiple CoAs(Care of Prefixes) of
> > multiple MRs,
> > HA may select the egress interface.
> 
> I think you meant this: "given two routes to the same network prefix, HA
> has to make the selection which route to use."

Yes.

> It can be based on routing metric, load balancing, or even just a
> default route selection.  There shouldn't be any problem in doing that.

Maybe it is just an implementation issue.
Or we may propose something optimal for NEMO.
I wonder what people in NEMO maling list think.
 
> > We may also consider the cases that MRs or MNNs select the egress
> > interface, however.
> > For example, let's imagine the situation as follows.
> > There is a big vehicle supports NEMO with multiple MRs.
> > As time goes, availability may differes from egress interface to
> > egress interface.
> > Then, MRs should know and decide which MR's egress interface is
> > connected to
> > the Internet. So, MRs need to communicate with each other. 
> > In this case, MRs select the egress interface as their availability, 
> > don't they ?
> > 
> Right, but I am not too sure if communications between MRs is within the
> scope of NEMO. I don't know if you have read the -00 version of the
> multihomng draft, but in there, I have described a simple solution to
> solve this without requiring special communications.  The solution is
> left out of the -01 draft since we want to first identify the problem
> before describing solution.
> 
> Anyway, here is a brief description:  each MR will actively listen to
> the RA in their ingress link(s) to detect the presence of another router
> which advertise an egress route to the Internet (lifetime!=0).  When an
> MR looses its egress link, it can then set up a temporary tunnel with
> its HA that passes through the other MR.  This way, we don't need any
> special communications between MRs, and the MR can decide which route to
> use specifically.
> 
> Another way to do it is for the MR to simply response with an ICMP
> re-direct message when it looses its egress link.
> 
> The first way, the lost of egress link is transparent to MNNs.  The
> second way, the MR inform MNNs that it has lost a route, and force MNNs
> to re-direct their packets to other MRs.

The first way is included in what I called "communication between MRs".
They listen each other MR's RA and set up tunnel.
(If you think the term "communication" is not appropriate for this, i.e. just exchange 
signaling for tunnel set-up, we may paraphrase it.)

The second way does not seem to provide mobility transparency to MNNs.
So, it is not recommandable, IMHO.

Regards,
Eun Kyoung